/*	Based upon Tech Note 306, "Drawing Icons the System 7 Way".  */
/*	John W. Baxter */

#ifndef __PLOTICON__
#define __PLOTICON__

#ifndef __TYPES__
	#include <Types.h>
#endif

#ifndef __QUICKDRAW__
	#include <QuickDraw.h>
#endif

#ifndef __ICONS__
	#include <Icons.h>
#endif

	/* IconTransformType values */
#define	ttNone				0x0
#define	ttDisabled			0x1
#define	ttOffline			0x2
#define	ttOpen				0x3
#define	ttSelected			0x4000
#define	ttSelectedDisabled	(ttSelected + ttDisabled)
#define	ttSelectedOffline	(ttSelected + ttOffline)
#define	ttSelectedOpen		(ttSelected + ttOpen)

	/* Label color blend values...add to above transform values */
#define	ttLabel0 0x0000
#define	ttLabel1 0x0100
#define	ttLabel2 0x0200
#define	ttLabel3 0x0300
#define	ttLabel4 0x0400
#define	ttLabel5 0x0500
#define	ttLabel6 0x0600
#define	ttLabel7 0x0700

typedef short IconAlignmentType;
typedef short IconTransformType;

#ifdef __cplusplus
extern "C" {
#endif
pascal OSErr PlotIconID(Rect *theRect,
				 		IconAlignmentType align,
				 		IconTransformType transform,
				 		short theResID)
		= {0x303C, 0x0500, 0xABC9};

pascal OSErr PlotCIconHandle(Rect *theRect,
							 IconAlignmentType align,
							 IconTransformType transform,
							 CIconHandle theCIcon)
		= {0x303C, 0x061F, 0xABC9};
#ifdef __cplusplus
}
#endif


#endif